
TYPO3.Flow - Bug # 38625

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Error
Created: 2012-07-04 Assigned To: Karsten Dambekalns
Updated: 2012-07-30 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.1.0 rc 1
Subject: Dumped exception traces have all arguments doubled in plaintext
Description

When an exception is dumped to Data/Logs/Exceptions/…txt all arguments are doubled, once with parenthesis around them, once
without:

7 TYPO3\FLOW3\SignalSlot\Dispatcher::dispatch((TYPO3\FLOW3\Core\Bootstrap)TYPO3\FLOW3\Core\Bootstrap,
(bootstrapShuttingDown)bootstrapShuttingDown, array)

Associated revisions
Revision 09d4a720 - 2012-07-30 08:42 - Karsten Dambekalns

[BUGFIX] Fix arguments rendering for dumped backtraces

When an exception was dumped to Data/Logs/Exceptions/…txt all
arguments were doubled, once with parenthesis around them, once
without. This change fixes this.

Change-Id: I715ac8b64caabde84e23addefd1f31f378b79bf0
Fixes: #38625
Releases: 1.1, 1.2

Revision 545a0b20 - 2012-07-30 08:44 - Karsten Dambekalns

[BUGFIX] Fix arguments rendering for dumped backtraces

When an exception was dumped to Data/Logs/Exceptions/…txt all
arguments were doubled, once with parenthesis around them, once
without. This change fixes this.

Change-Id: I715ac8b64caabde84e23addefd1f31f378b79bf0
Fixes: #38625
Releases: 1.1, 1.2

History
#1 - 2012-07-04 09:49 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12569

#2 - 2012-07-30 08:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12569

#3 - 2012-07-30 08:44 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13342

#4 - 2012-07-30 09:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:09d4a7203cf84ba031d1ea27e9318e5c1cf16b2c.
